<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: User PHP Version User Field
| File: user_phpversion_include.php
| Version: 1.00
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$arrUserPHPVersion = array ("", "4.0.X", "5.0.X", "5.1.X", "5.2.X", "5.3.X");

if ($profile_method == "input") {
$user_phpversion = isset($user_data['user_phpversion']) ? $user_data['user_phpversion'] : "";
   if ($this->isError()) { $user_phpversion = isset($_POST['user_phpversion']) ? stripinput($_POST['user_phpversion']) : $user_phpversion; }
   echo "<tr>\n";
   echo "<td class='tbl".$this->getErrorClass("user_phpversion")."'><label for='user_phpversion'>".$locale['uf_phpverb'].$required."</label></td>\n";
   echo "<td class='tbl".$this->getErrorClass("user_phpversion")."'>";
   echo "<select name='user_phpversion' class='textbox'>\n";
   echo "<option value=''>".$locale['uf_phpv001']."</option>";
   echo "<option value='4.0.X'".($user_phpversion == '4.0.X' ? ' selected=selected' : '').">4.0.X</option>";
   echo "<option value='5.0.X'".($user_phpversion == '5.0.X' ? ' selected=selected' : '').">5.0.X</option>";
   echo "<option value='5.1.X'".($user_phpversion == '5.1.X' ? ' selected=selected' : '').">5.1.X</option>";
   echo "<option value='5.2.X'".($user_phpversion == '5.2.X' ? ' selected=selected' : '').">5.2.X</option>";
   echo "<option value='5.3.X'".($user_phpversion == '5.3.X' ? ' selected=selected' : '').">5.3.X</option>";

   echo "</select></td>\n";
   echo "</tr>\n";
   
   if ($required) { $this->setRequiredJavaScript("user_phpversion", $locale['uf_phpversion_error']); }
   
} elseif ($profile_method == "display") {
if (!iGUEST) {
//If Admin, or Users Own Profile Show this
if (iADMIN || $userdata['user_id'] == $user_data['user_id']){
   if ($user_data['user_phpversion']) {
      echo "<tr>\n";
      echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['uf_phpver']."</td>\n";
      echo "<td align='right' class='tbl1'>".$locale['uf_phpver2']." ".$user_data['user_phpversion']."</td>\n";
      echo "</tr>\n";
   }
   }
   }
   // Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
   // Get input data
   if(isset($_POST['user_phpversion']) && stripinput($_POST['user_phpversion']!="" && in_array($_POST['user_phpversion'], $arrUserPHPVersion) || $this->_isNotRequired("user_phpversion"))) {
  
      // Set update or insert user data
      $this->_setDBValue("user_phpversion", stripinput($_POST['user_phpversion']));
   } else {
      $this->_setError("user_phpversion", $locale['uf_phpversion_error'], true);   
   }
   }
   
?>